import { Box } from "@mantine/core";

interface CardProps {
  children: React.ReactNode;
  className?: string;
  padding?: number;
}

export function Card({ children, className = "", padding = 24 }: CardProps) {
  return (
    <Box
      p={padding}
      className={`rounded-[20px] border border-edr-border bg-edr-card ${className}`}
    >
      {children}
    </Box>
  );
}
